Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020811
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2012-06-20 11:012012-12-11 17:54
ReporterjecharriView Statuspublic 
Assigned Tomirurita 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision899980d88f09
ProjectionnoneETAnoneTarget Version3.0MP12
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP11SCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - QA Approved
Regression date2012-04-03
Regression introduced in release
Regression introduced by commit
Triggers an Emergency Packyes
Summary

0020811: Product selector in window sales order is broken

DescriptionProduct selector in window sales order is broken
Steps To ReproduceAs "Group Admin" go to window "Sales Order".
-Create a Header
-Go to lines and create a record in Form view
-Got to product selector and verify that it is working properly
-Write "adsfasdf" and push in tab key
-Go again to product selector.
-Delete "adsfasdf" and try to select a product in picklist.
-You will see that list is empty.
TagsRegression
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00201683.0MP11 closedjecharri It is possible select a products from price list with different currency to the header price list 
related to defect 00223163.0MP18 closedAugustoMauch Not able to select the product by pressing keys from keyboard 

-  Notes
(0049950)
alostale (developer)
2012-06-20 13:05

This occurs when selector field content is deleted before selecting any product.

The problem is in SL_Order_Product callout which is raised when the value is cleaned up, if no product was previously selected it sets currency as empry (taking the first one in the list), fix for 0020168 takes this currency to restrict the list of products.

Proposed solution: fix the callout not to change currency at all (if it makes sense) or at list not to do so in case of deleting value in field.
(0049951)
plujan (manager)
2012-06-20 13:14

Updated the steps to clarify that the issue happens in Form view only
(0049956)
hgbot (developer)
2012-06-20 17:22

Repository: erp/devel/pi
Changeset: 899980d88f09020b15230a583df827e0522d4358
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Wed Jun 20 17:21:28 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/899980d88f09020b15230a583df827e0522d4358 [^]

Fixes issue 20811: Product selector in window sales order is broken.
Do not update the currency on order line when no product is selected

---
M src/org/openbravo/erpCommon/ad_callouts/SL_Order_Product.java
---
(0049957)
eduardo_Argal (developer)
2012-06-20 17:23

Code Reviewed, Tested and working
(0050134)
hudsonbot (developer)
2012-06-27 05:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf3a7135839f [^]

Maturity status: Test
(0054808)
hgbot (developer)
2012-12-10 17:19

Repository: erp/devel/pi
Changeset: f1b0fc389b29c7e2d3b9c0c819eed69088560369
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Dec 10 17:18:50 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f1b0fc389b29c7e2d3b9c0c819eed69088560369 [^]

Fixes issue 22316: Product selector works fine after deleting its contents

The product selector of the Lines tab of the Sales Invoice window was being broken after deleting the contents of its text input. When the last character was
deleted, the SL_Invoice_Product was called with a null product, which resulted in the inpcCurrencyId to being set to ''. This property is used in the filter l
ogic of the product, and after it was set to '' the selector did not return any product.

This has been fixed in the same way that the issue 20811 was fixed, by only returning in the callout the inpcCurrencyId property if it is not null.

---
M src/org/openbravo/erpCommon/ad_callouts/SL_Invoice_Product.java
---
(0054865)
hudsonbot (developer)
2012-12-11 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/3b1b5e2f6c63 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-06-20 11:01 jecharri New Issue
2012-06-20 11:01 jecharri Assigned To => alostale
2012-06-20 11:01 jecharri Web browser => Google Chrome
2012-06-20 11:01 jecharri Modules => Core
2012-06-20 11:02 jecharri Web browser Google Chrome => Google Chrome
2012-06-20 11:02 jecharri Regression level => Production - QA Approved
2012-06-20 11:02 jecharri Tag Attached: Regression
2012-06-20 12:43 alostale Web browser Google Chrome => Google Chrome
2012-06-20 12:43 alostale Regression date => 2012-04-03
2012-06-20 12:43 alostale Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/95604ac76a28c9aec27107101b0648ccd3578366 [^]
2012-06-20 13:00 alostale Relationship added related to 0020168
2012-06-20 13:05 alostale Note Added: 0049950
2012-06-20 13:06 alostale Web browser Google Chrome => Google Chrome
2012-06-20 13:06 alostale Assigned To alostale => mirurita
2012-06-20 13:14 plujan Web browser Google Chrome => Google Chrome
2012-06-20 13:14 plujan Note Added: 0049951
2012-06-20 13:14 plujan Steps to Reproduce Updated View Revisions
2012-06-20 17:22 hgbot Checkin
2012-06-20 17:22 hgbot Note Added: 0049956
2012-06-20 17:22 hgbot Status new => resolved
2012-06-20 17:22 hgbot Resolution open => fixed
2012-06-20 17:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/899980d88f09020b15230a583df827e0522d4358 [^]
2012-06-20 17:23 eduardo_Argal Note Added: 0049957
2012-06-20 17:23 eduardo_Argal Status resolved => closed
2012-06-27 05:28 hudsonbot Checkin
2012-06-27 05:28 hudsonbot Note Added: 0050134
2012-12-10 17:18 AugustoMauch Relationship added related to 0022316
2012-12-10 17:19 hgbot Checkin
2012-12-10 17:19 hgbot Note Added: 0054808
2012-12-11 17:54 hudsonbot Checkin
2012-12-11 17:54 hudsonbot Note Added: 0054865


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker